<?php

//En linux 
$salto_linea = "\n"; //variable global para manejo del salto de linea
//En windows 
$salto_linea = "\r\n"; //variable global para manejo del salto de linea
//titulo
if ($type_combo_text == 1) {
    $titulo = "ArchivosSIIFPagoBeneficiarioFinal";
}
if ($type_combo_text == 2) {
    $titulo = "ArchivosSIIFPagoBeneficiarioFinal_Deducciones";
}
if ($type_combo_text == 3) {
    $titulo = "ArchivosSIIFPagoBeneficiarioFinal_Pagos";
}
$titulo = $titulo . $type_combo_text_adic;

//SGC-1, ANM-2, SGR-3, CYC-4, COL-5, INCI-6, LOCAL-7 - 20151026
$entidad_cliente = sfConfig::get('app_entidad_cliente');

/*
 * Array de cabecera archivo
 */
$array_head = array(
    "nit"
);


/*
 * txt
 */
if ($type == "txt") {

    $shtml = '';

    $scarpeta = "uploads"; //carpeta donde guardar el archivo.

    $sfile = $scarpeta . "/tmp/" . $titulo . "_" . date("d") . date("m") . date("Y") . ".txt"; //ruta del archivo a generar
    $fp = fopen($sfile, "w");
    $sep = "|"; //variable global para manejo del separador - se obtiene de variables del modulo en la configuracion en app.yml

    /*
     * imprimir titulo
     */
//    $shtml = $sep . "\n";
//    $shtml.= $sep . $titulo . $sep . "\n";
//    $shtml.= $sep . "\n";

    /*
     * imprimir cabecera
     */
    foreach ($array_head as $key => $value) {
//        $shtml.= $value . $sep;
    }
    //salto de linea para separar totales
//    $shtml.="\n";

    /*
     * recorrer arreglo de datos y convertir en txt
     */
    $i = 0;
    $j = 0;
    foreach ($list_data as $rec) {
//        $shtml.='"';
        foreach ($rec as $key => $value) {
            if ($j != 0) {
                if ($value != '/') {
                    $shtml .= $sep;
                }
            }
            $value = str_replace('Ñ', '#', $value);
            $value = str_replace('ñ', '#', $value);
            $value = str_replace('[\n|\r|\n\r]', ' ', $value);
            $shtml .= $value;
            $j++;
        }
//        $shtml.='"';
//        $this->logMessage("Linea: " . $i++);
        //salto de linea para separar totales
        $shtml .= $salto_linea;
        $j = 0;
    }

    /*
     * guardar y cerrar archivo
     */
//    $shtml.= $salto_linea;
    fwrite($fp, $shtml);
    fclose($fp);

    /*
     * salida txt
     */
    if ($entidad_cliente == 9) {
        echo "<script>window.location='" . "/nomina_pub/web/" . $sfile . "'</script>";
    } else {
        echo "<script>window.location='" . "/nomina/web/" . $sfile . "'</script>";
    }
    die();
}//fin TXT

/*
 * Error
 */
echo "Ocurrio algun problema: " . $type;
?>

